--- /var/tmp/smbios.lst	Sat Mar 19 01:35:36 2011
+++ /var/tmp/smbios-new.lst	Sat Mar 19 01:35:25 2011
@@ -1,5 +1,5 @@
 ID    SIZE TYPE
-0     72   SMB_TYPE_BIOS (BIOS information)
+0     72   0 SMB_TYPE_BIOS (BIOS information)
 
   Vendor: Award Software International, Inc.
   Version String: F8
@@ -39,7 +39,7 @@
   Embedded Ctlr Firmware Version Number: 0.0
 
 ID    SIZE TYPE
-1     78   SMB_TYPE_SYSTEM (system information)
+1     78   1 SMB_TYPE_SYSTEM (system information)
 
   Manufacturer: Gigabyte Technology Co., Ltd.
   Product: GA-MA770T-UD3
@@ -52,7 +52,7 @@
   Family:  
 
 ID    SIZE TYPE
-2     57   SMB_TYPE_BASEBOARD (base board)
+2     57   2 SMB_TYPE_BASEBOARD (base board)
 
   Manufacturer: Gigabyte Technology Co., Ltd.
   Product: GA-MA770T-UD3
@@ -64,7 +64,7 @@
   Board Type: 0x0
 
 ID    SIZE TYPE
-3     52   SMB_TYPE_CHASSIS (system enclosure or chassis)
+3     52   3 SMB_TYPE_CHASSIS (system enclosure or chassis)
 
   Manufacturer: Gigabyte Technology Co., Ltd.
   Version:  
@@ -71,6 +71,7 @@
   Serial Number: 0
   Asset Tag: 0
 
+  SKU Number: 
   OEM Data: 0x0
   Lock Present: N
   Chassis Type: 0x3 (desktop)
@@ -77,12 +78,12 @@
   Boot-Up State: 0x2 (unknown)
   Power Supply State: 0x2 (unknown)
   Thermal State: 0x2 (unknown)
-  Chassis Height: 0u
+  Chassis Height: 0 RU
   Power Cords: 0
   Element Records: 0
 
 ID    SIZE TYPE
-4     91   SMB_TYPE_PROCESSOR (processor)
+4     91   4 SMB_TYPE_PROCESSOR (processor)
 
   Manufacturer: AMD
   Version: AMD Phenom(tm) II X6 1075T Processor
@@ -97,16 +98,16 @@
   Socket Upgrade: 4 (ZIF socket)
   Socket Status: Populated
   Processor Status: 1 (enabled)
-  Supported Voltages: 1.3V
-  External Clock Speed: Unknown
-  Maximum Speed: 3200MHz
-  Current Speed: 3000MHz
-  L1 Cache: 10
-  L2 Cache: 12
+  Supported Voltages: 1.3 V
+  External Clock Speed: 200 MHz
+  Maximum Speed: 3200 MHz
+  Current Speed: 3000 MHz
+  L1 Cache: see ID 10
+  L2 Cache: see ID 12
   L3 Cache: None
 
 ID    SIZE TYPE
-10    33   SMB_TYPE_CACHE (processor cache)
+10    33   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: Internal Cache
 
@@ -126,7 +127,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-11    33   SMB_TYPE_CACHE (processor cache)
+11    33   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: Internal Cache
 
@@ -146,7 +147,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-12    33   SMB_TYPE_CACHE (processor cache)
+12    33   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: External Cache
 
@@ -166,7 +167,7 @@
 	SMB_CAF_ENABLED (enabled at boot time)
 
 ID    SIZE TYPE
-13    33   SMB_TYPE_CACHE (processor cache)
+13    33   7 SMB_TYPE_CACHE (processor cache)
 
   Location Tag: External Cache
 
@@ -185,7 +186,7 @@
   Flags: 0x0
 
 ID    SIZE TYPE
-14    22   SMB_TYPE_PORT (port connector)
+14    22   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: PRIMARY IDE
 
@@ -196,7 +197,7 @@
   Port Type: 255 (other)
 
 ID    SIZE TYPE
-15    14   SMB_TYPE_PORT (port connector)
+15    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: FDD
 
@@ -207,7 +208,7 @@
   Port Type: 161 (8251 FIFO compatible)
 
 ID    SIZE TYPE
-16    15   SMB_TYPE_PORT (port connector)
+16    15   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: COM1
 
@@ -218,7 +219,7 @@
   Port Type: 7 (Serial Port 16450 compat)
 
 ID    SIZE TYPE
-17    15   SMB_TYPE_PORT (port connector)
+17    15   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: LPT1
 
@@ -229,7 +230,7 @@
   Port Type: 5 (Parallel Port ECP/EPP)
 
 ID    SIZE TYPE
-18    19   SMB_TYPE_PORT (port connector)
+18    19   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: Keyboard
 
@@ -240,7 +241,7 @@
   Port Type: 13 (Keyboard port)
 
 ID    SIZE TYPE
-19    28   SMB_TYPE_PORT (port connector)
+19    28   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: PS/2 Mouse
 
@@ -251,7 +252,7 @@
   Port Type: 14 (Mouse port)
 
 ID    SIZE TYPE
-20    14   SMB_TYPE_PORT (port connector)
+20    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: USB
 
@@ -262,7 +263,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-21    14   SMB_TYPE_PORT (port connector)
+21    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: USB
 
@@ -273,7 +274,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-22    14   SMB_TYPE_PORT (port connector)
+22    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: USB
 
@@ -284,7 +285,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-23    14   SMB_TYPE_PORT (port connector)
+23    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: USB
 
@@ -295,7 +296,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-24    14   SMB_TYPE_PORT (port connector)
+24    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: USB
 
@@ -306,7 +307,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-25    14   SMB_TYPE_PORT (port connector)
+25    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: USB
 
@@ -317,7 +318,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-26    14   SMB_TYPE_PORT (port connector)
+26    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: USB
 
@@ -328,7 +329,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-27    14   SMB_TYPE_PORT (port connector)
+27    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: USB
 
@@ -339,7 +340,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-28    14   SMB_TYPE_PORT (port connector)
+28    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: USB
 
@@ -350,7 +351,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-29    14   SMB_TYPE_PORT (port connector)
+29    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: USB
 
@@ -361,7 +362,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-30    14   SMB_TYPE_PORT (port connector)
+30    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: USB
 
@@ -372,7 +373,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-31    14   SMB_TYPE_PORT (port connector)
+31    14   8 SMB_TYPE_PORT (port connector)
 
   Location Tag: USB
 
@@ -383,7 +384,7 @@
   Port Type: 16 (USB)
 
 ID    SIZE TYPE
-32    16   SMB_TYPE_SLOT (upgradeable system slot)
+32    16   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: PCI
 
@@ -394,14 +395,14 @@
   Usage: 0x4 (in use)
   Length: 0x4 (long length)
   Slot Characteristics 1: 0x6
-	SMB_SLCH1_5V (provides 5.0V)
-	SMB_SLCH1_33V (provides 3.3V)
+	SMB_SLCH1_5V (provides 5.0 V)
+	SMB_SLCH1_33V (provides 3.3 V)
   Slot Characteristics 2: 0x5
 	SMB_SLCH2_PME (slot supports PME# signal)
 	SMB_SLCH2_SMBUS (slot supports SMBus signal)
 
 ID    SIZE TYPE
-33    16   SMB_TYPE_SLOT (upgradeable system slot)
+33    16   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: PCI
 
@@ -412,14 +413,14 @@
   Usage: 0x3 (available)
   Length: 0x4 (long length)
   Slot Characteristics 1: 0x6
-	SMB_SLCH1_5V (provides 5.0V)
-	SMB_SLCH1_33V (provides 3.3V)
+	SMB_SLCH1_5V (provides 5.0 V)
+	SMB_SLCH1_33V (provides 3.3 V)
   Slot Characteristics 2: 0x5
 	SMB_SLCH2_PME (slot supports PME# signal)
 	SMB_SLCH2_SMBUS (slot supports SMBus signal)
 
 ID    SIZE TYPE
-34    28   SMB_TYPE_SLOT (upgradeable system slot)
+34    28   9 SMB_TYPE_SLOT (upgradeable system slot)
 
   Location Tag: PCI Express x16
 
@@ -430,11 +431,11 @@
   Usage: 0x2 (unknown)
   Length: 0x1 (other)
   Slot Characteristics 1: 0x4
-	SMB_SLCH1_33V (provides 3.3V)
+	SMB_SLCH1_33V (provides 3.3 V)
   Slot Characteristics 2: 0x0
 
 ID    SIZE TYPE
-35    79   SMB_TYPE_LANG (BIOS language information)
+35    79   13 SMB_TYPE_LANG (BIOS language information)
 
   Current Language: n|US|iso8859-1
   Language String Format: 0
@@ -445,7 +446,7 @@
   r|CA|iso8859-1
 
 ID    SIZE TYPE
-36    16   SMB_TYPE_MEMARRAY (physical memory array)
+36    16   16 SMB_TYPE_MEMARRAY (physical memory array)
 
   Location: 3 (system board or motherboard)
   Use: 3 (system memory)
@@ -455,7 +456,7 @@
   Max Capacity: 17179869184 bytes
 
 ID    SIZE TYPE
-37    45   SMB_TYPE_MEMDEVICE (memory device)
+37    45   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer:  
   Serial Number: 0
@@ -463,21 +464,23 @@
   Location Tag: A0
   Part Number:  
 
-  Physical Memory Array: 36
+  Physical Memory Array: see ID 36
   Memory Error Data: Not Supported
   Total Width: 64 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 4294967296 bytes
   Form Factor: 9 (DIMM)
   Set: None
   Memory Type: 2 (unknown)
   Flags: 0x0
-  Speed: Unknown
+  Speed: 1333 MHz
+  Configured Speed: Unknown
   Device Locator: A0
   Bank Locator: Bank0/1
 
 ID    SIZE TYPE
-38    45   SMB_TYPE_MEMDEVICE (memory device)
+38    45   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer:  
   Serial Number: 0
@@ -485,21 +488,23 @@
   Location Tag: A1
   Part Number:  
 
-  Physical Memory Array: 36
+  Physical Memory Array: see ID 36
   Memory Error Data: Not Supported
   Total Width: 64 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: 4294967296 bytes
   Form Factor: 9 (DIMM)
   Set: None
   Memory Type: 2 (unknown)
   Flags: 0x0
-  Speed: Unknown
+  Speed: 1333 MHz
+  Configured Speed: Unknown
   Device Locator: A1
   Bank Locator: Bank2/3
 
 ID    SIZE TYPE
-39    45   SMB_TYPE_MEMDEVICE (memory device)
+39    45   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer:  
   Serial Number: 0
@@ -507,21 +512,23 @@
   Location Tag: A2
   Part Number:  
 
-  Physical Memory Array: 36
+  Physical Memory Array: see ID 36
   Memory Error Data: Not Supported
   Total Width: 64 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 9 (DIMM)
   Set: None
   Memory Type: 2 (unknown)
   Flags: 0x0
-  Speed: Unknown
+  Speed: 1333 MHz
+  Configured Speed: Unknown
   Device Locator: A2
   Bank Locator: Bank4/5
 
 ID    SIZE TYPE
-40    45   SMB_TYPE_MEMDEVICE (memory device)
+40    45   17 SMB_TYPE_MEMDEVICE (memory device)
 
   Manufacturer:  
   Serial Number: 0
@@ -529,32 +536,34 @@
   Location Tag: A3
   Part Number:  
 
-  Physical Memory Array: 36
+  Physical Memory Array: see ID 36
   Memory Error Data: Not Supported
   Total Width: 64 bits
   Data Width: 64 bits
+  Rank: Unknown
   Size: Not Populated
   Form Factor: 9 (DIMM)
   Set: None
   Memory Type: 2 (unknown)
   Flags: 0x0
-  Speed: Unknown
+  Speed: 1333 MHz
+  Configured Speed: Unknown
   Device Locator: A3
   Bank Locator: Bank6/7
 
 ID    SIZE TYPE
-41    16   SMB_TYPE_MEMARRAYMAP (memory array mapped address)
+41    16   19 SMB_TYPE_MEMARRAYMAP (memory array mapped address)
 
-  Physical Memory Array: 36
+  Physical Memory Array: see ID 36
   Devices per Row: 1
   Physical Address: 0x0
   Size: 8589934592 bytes
 
 ID    SIZE TYPE
-42    20   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+42    20   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 37
-  Memory Array Mapped Address: 41
+  Memory Device: see ID 37
+  Memory Array Mapped Address: see ID 41
   Physical Address: 0x0
   Size: 4294967296 bytes
   Partition Row Position: 1
@@ -562,10 +571,10 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-43    20   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+43    20   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 38
-  Memory Array Mapped Address: 41
+  Memory Device: see ID 38
+  Memory Array Mapped Address: see ID 41
   Physical Address: 0x100000000
   Size: 4294967296 bytes
   Partition Row Position: 1
@@ -573,10 +582,10 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-44    20   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+44    20   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 39
-  Memory Array Mapped Address: 41
+  Memory Device: see ID 39
+  Memory Array Mapped Address: see ID 41
   Physical Address: 0x0
   Size: 1024 bytes
   Partition Row Position: 1
@@ -584,10 +593,10 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-45    20   SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
+45    20   20 SMB_TYPE_MEMDEVICEMAP (memory device mapped address)
 
-  Memory Device: 40
-  Memory Array Mapped Address: 41
+  Memory Device: see ID 40
+  Memory Array Mapped Address: see ID 41
   Physical Address: 0x0
   Size: 1024 bytes
   Partition Row Position: 1
@@ -595,12 +604,12 @@
   Interleave Data Depth: 0
 
 ID    SIZE TYPE
-46    12   SMB_TYPE_BOOT (system boot status)
+46    12   32 SMB_TYPE_BOOT (system boot status)
 
   Boot Status Code: 0x0 (no errors detected)
 
 ID    SIZE TYPE
-47    212  SMB_TYPE_OEM_LO+60
+47    212  188 SMB_TYPE_OEM_LO+60
 
   offset:   0 1 2 3  4 5 6 7  8 9 a b  c d e f  0123456789abcdef
        0:  bcd42f00 000000d0 00000000 00000030  ../............0
@@ -619,7 +628,7 @@
     0xd0:  00000000                             ....            
 
 ID    SIZE TYPE
-48    212  SMB_TYPE_OEM_LO+62
+48    212  190 SMB_TYPE_OEM_LO+62
 
   offset:   0 1 2 3  4 5 6 7  8 9 a b  c d e f  0123456789abcdef
        0:  bed43000 c4050000 00000000 24a44004  ..0.........$.@.
@@ -638,7 +647,7 @@
     0xd0:  00000000                             ....            
 
 ID    SIZE TYPE
-49    244  SMB_TYPE_OEM_LO+64
+49    244  192 SMB_TYPE_OEM_LO+64
 
   offset:   0 1 2 3  4 5 6 7  8 9 a b  c d e f  0123456789abcdef
        0:  c0f43100 06400000 22321120 e788710e  ..1..@.."2....q.
@@ -659,7 +668,7 @@
     0xf0:  00000000                             ....            
 
 ID    SIZE TYPE
-50    244  SMB_TYPE_OEM_LO+66
+50    244  194 SMB_TYPE_OEM_LO+66
 
   offset:   0 1 2 3  4 5 6 7  8 9 a b  c d e f  0123456789abcdef
        0:  c2f43200 06400000 22321120 e788710e  ..2..@.."2....q.
@@ -680,7 +689,7 @@
     0xf0:  00000000                             ....            
 
 ID    SIZE TYPE
-51    244  SMB_TYPE_OEM_LO+68
+51    244  196 SMB_TYPE_OEM_LO+68
 
   offset:   0 1 2 3  4 5 6 7  8 9 a b  c d e f  0123456789abcdef
        0:  c4f43300 06400000 03000e00 14001c00  ..3..@..........
@@ -701,7 +710,7 @@
     0xf0:  00000000                             ....            
 
 ID    SIZE TYPE
-52    244  SMB_TYPE_OEM_LO+70
+52    244  198 SMB_TYPE_OEM_LO+70
 
   offset:   0 1 2 3  4 5 6 7  8 9 a b  c d e f  0123456789abcdef
        0:  c6f43400 06400000 02000e00 13001a00  ..4..@..........
